package com.sun.ts.tests.jpa.core.override.embeddable;

import javax.persistence.Basic;
import javax.persistence.Embeddable;
import java.io.Serializable;

@Embeddable
public class Publisher implements Serializable {

    public Publisher() {
    }
    private String name;
    @Basic
    private String location;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
}
